AddCSLuaFile("shared.lua")
AddCSLuaFile("client/cl_hud.lua")
AddCSLuaFile("client/cl_menu.lua")
AddCSLuaFile("client/cl_abilities.lua")
AddCSLuaFile("client/cl_cutscenes.lua")
AddCSLuaFile("client/cl_outline.lua")
AddCSLuaFile("client/cl_other.lua")
AddCSLuaFile("client/cl_buymenu.lua")

include("shared.lua")
include("server/sv_nets.lua")
include("server/sv_abilities.lua")
include("server/sv_functions.lua")
include("server/sv_revive.lua")
include("server/sv_nodegraph.lua")
include("server/sv_waves.lua")
include("server/sv_lnr.lua")
include("server/sv_executions.lua")
include("server/sv_exfil.lua")
include("server/sv_qte.lua")
include("server/sv_classes.lua")
include("server/sv_other.lua")
include("server/sv_buymenu.lua")

local url = SuR.Config.LoadingURL
if isstring(url) and url != "" then
    RunConsoleCommand("sv_loadingurl", url)
end
hook.Add("ShutDown", "SuR.ShutDown", function()
    RunConsoleCommand("sv_loadingurl", "")
end)